org.apache.solr.search

## Class PrefixQParserPlugin

- java.lang.Object
- - org.apache.solr.search.QParserPlugin
  - - org.apache.solr.search.PrefixQParserPlugin

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin

      public class PrefixQParserPlugin
      extends QParserPlugin

  Create a prefix query from the input value. Currently no analysis or value transformation is done to create this prefix query (subject to change).
  Other parameters: `f`, the field
  Example: `{!prefix f=myfield}foo` is generally equivalent to the Lucene query parser expression `myfield:foo*`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from class org.apache.solr.search.QParserPlugin

      `DEFAULT_QTYPE, standardPlugins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrefixQParserPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QParser` | `createParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req)` return a `QParser`

    - ### Methods inherited from class org.apache.solr.search.QParserPlugin

      `getCategory, getDescription, getDocs, getName, getSource, getStatistics, getVersion, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PrefixQParserPlugin

          public PrefixQParserPlugin()

  - ### Method Detail

    - #### createParser

          public QParser createParser(String qstr,
                                      SolrParams localParams,
                                      SolrParams params,
                                      SolrQueryRequest req)

      Description copied from class: `QParserPlugin`
      return a `QParser`
      Specified by:
        `createParser` in class `QParserPlugin`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.